# PCSASetVectors

sets the vectors of all the nodes on the local process

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCSASetVectors(PC pc,PetscInt nvects,PetscReal *vects)

Collective on PC

### Input Parameters

| pc | - the solver context
| nects | - the number of vectors
| vects | - the vectors

Notes: 'vects' is a dense tall skinny matrix with 'nvects' columns and the number of local equations rows. 'vects' is stored in row major order.

### See Also

PCPROMETHEUS

Level:intermediate
Location: src/ksp/pc/impls/prometheus/petscprom.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages